/*
 ************************************************************************
 *
 * This is a glue code that "renames" our sys_open() into open(),
 * so that our sys_open() takes place of (intercedes) 
 * the ordinary open(2) system call.
 *
 * $Id: sys_open_glue.c,v 1.1 1998/03/29 23:20:21 oleg Exp oleg $
 *
 ************************************************************************
 */ 

extern int sys_open(const char *filename, const int mode, const int mask);
int open(const char *filename, const int mode, const int mask);

int open(const char *filename, const int mode, const int mask)
{
#if !defined(DEBUG)
  return sys_open(filename,mode,mask);
#else
  int result;
  printf("\nOpening '%s'...",filename);
  result = sys_open(filename,mode,mask);
  printf("\nresult... %d",result);
  if(result < 0 )
   popen("opening error");
  return result;
#endif
}

